#!/bin/python3
import os
import sys
from bs4 import BeautifulSoup
import requests
import json
import time
url = 'https://androidfilehost.com/?w=devices&page=1'
def get_response(url):
    time.sleep(1)
    response = requests.get(url)
#    print(response.content, response.status_code)

    if '<b>Warning</b>' in response.content.decode('utf-8'):
        print('retrying')
        response = requests.get(url)
    if '<b>Warning</b>' in response.content.decode('utf-8'):
        print('retrying')
        response = requests.get(url)
    if '<b>Warning</b>' in response.content.decode('utf-8'):
        print('retrying')
        response = requests.get(url)
    if '<b>Warning</b>' in response.content.decode('utf-8'):
        print('retrying')
        response = requests.get(url)

    soup = BeautifulSoup(response.content, "html.parser")
    return soup

soup = get_response(url)
page_links = soup.find_all('a', href=lambda href: href and "&page=" in href)
page_list = []
output_json = []
for link in page_links:
    if link.text != '':
#        print(link)
        page_list.append(int(link.text))
#print(page_list)
last_page = max(page_list)
print('total of', last_page, 'pages')

last_page = last_page + 1
for page_number in range(1, last_page):
    print(page_number)
    url = 'https://androidfilehost.com/?w=devices&page=' + str(page_number)
    soup = get_response(url)
    url_parts = parts = url.split("&page=")
    current_page = url_parts[1]
    device_links = soup.find_all('a', string='View Devs')
    devices = []
    current_page = {
                "page": current_page,
                "url" : url
                }
    for link in device_links:
        parent_div = link.parent
        device_brand = parent_div.find_previous_sibling('h6').text
        device_name = parent_div.find_previous_sibling('h4').text
        link = 'https://androidfilehost.com' + link.get('href')
#        print(device_brand)
#        print(device_name)
#        print(link)
        device = {
            "brand": device_brand,
            "name": device_name,
            "device_url": link
        }
        devices.append(device)
    current_page["devices"] = devices
    current_page = json.dumps(current_page, indent=4)
    output_json.append(current_page)

with open('devices.json', 'w') as file:
    file.truncate(0)
    for json_string in output_json:
        file.write(json_string)
#        print(json_string)







