#!/bin/python3.11
import subprocess
import json
file_list = subprocess.run(['find', 'out_fixed', '-name', '*.json', '!', '-name', 'dev_list.json'], capture_output=True, text=True)
file_list = file_list.stdout.split('\n')
#print(file_list)
total = 0
amount_of_files = 0
for file in file_list:
    if file == '':
        continue
    if not file.endswith('.json'):
        continue
    if file == '.json':
        continue

#    print(file)
    amount_of_files += 1
    with open(file, 'r') as f:
        data = json.load(f)
        size_approximate = data.get("Size (approximate)")
        print(total, '   ', amount_of_files)
        total = total + size_approximate
        total = round(total)
total_tb = total / (2**40)
print(total_tb,'tb')
