#!/bin/python3.11
import json
import os
import subprocess
original_dir = os.getcwd()
for filename in os.listdir('json_fixed'):
    filename = 'json_fixed/' + filename
    print(filename)
    if filename == 'json_fixed/fix_json.py':
        continue
    with open(filename, 'r') as file:
        file_contents = file.read()
        data = json.loads(file_contents)
    file.close()

    devices = data['devices']

    for device in devices:
        devices = data['devices']
        brand = device['brand']
        name = device['name']
        device_url = device['device_url']
#        print("Brand:", brand)
#        print("Name:", name)
#        print("Device URL:", device_url)
        out_dir = 'out_fixed' + '/' + brand.replace('/', '-') +'-'+ name.replace('/', '-')
        out_dir = out_dir.replace(' ', '_')
        print(out_dir)
        if not os.path.exists(out_dir):
            os.makedirs(out_dir)
        os.chdir(out_dir)
        if 'done' in os.listdir('.'):
            os.chdir(original_dir)
            print('\033[92m',name, 'already scraped','\033[0m')
            continue
        result = subprocess.run(['python3', '/srv/big_vault/nicholas/scrapers/AFH/devs_with_requests.py', device_url], capture_output = True, text = True)
        print(result.stdout)
        if 'protected' in result.stdout:
            print('\033[93m', 'scraping with playwright', '\033[0m')
            result = subprocess.run(['python3', '/srv/big_vault/nicholas/scrapers/AFH/devs.py', device_url])

        if result.returncode == 0:
            with open('done', 'w') as done:
                print('\033[92m', device_url, 'done', '\033[0m')
        else:
            print('\033[91m''dev link script didnt work', '\033[0m')
        os.chdir(original_dir)

